--- libvirt.orig/src/xm_internal.h	2008-02-07 02:57:10.000000000 +0900
+++ libvirt/src/xm_internal.h	2008-02-07 16:20:31.000000000 +0900
@@ -61,8 +61,8 @@ int xenXMDomainUndefine(virDomainPtr dom
 virConfPtr xenXMParseXMLToConfig(virConnectPtr conn, const char *xml);
 char *xenXMDomainFormatXML(virConnectPtr conn, virConfPtr conf);
 
-static int xenXMDomainAttachDevice(virDomainPtr domain, const char *xml);
-static int xenXMDomainDetachDevice(virDomainPtr domain, const char *xml);
+int xenXMDomainAttachDevice(virDomainPtr domain, const char *xml);
+int xenXMDomainDetachDevice(virDomainPtr domain, const char *xml);
 
 #ifdef __cplusplus
 }
--- libvirt.orig/src/xm_internal.c	2008-02-07 02:57:10.000000000 +0900
+++ libvirt/src/xm_internal.c	2008-02-07 16:24:10.000000000 +0900
@@ -2532,8 +2532,7 @@ int xenXMNumOfDefinedDomains(virConnectP
  * 
  * Returns 0 in case of success, -1 in case of failure.
  */
-static int
-xenXMDomainAttachDevice(virDomainPtr domain, const char *xml) {
+int xenXMDomainAttachDevice(virDomainPtr domain, const char *xml) {
     const char *filename = NULL;
     xenXMConfCachePtr entry = NULL;
     xmlDocPtr doc = NULL;
@@ -2969,8 +2968,7 @@ xenXMAutoAssignMac() {
  *
  * Returns 0 in case of success, -1 in case of failure.
  */
-static int
-xenXMDomainDetachDevice(virDomainPtr domain, const char *xml) {
+int xenXMDomainDetachDevice(virDomainPtr domain, const char *xml) {
     const char *filename = NULL;
     char device[8], *domdevice = NULL;
     xenXMConfCachePtr entry = NULL;
